=== debian/changelog ===
ros-dashing-controller-parameter-server (0.0.1-1bionic) bionic; urgency=high

  * Dashing compatibility (#47 <https://github.com/ros-controls/ros2_control/issues/47>)
  * Contributors: Bence Magyar, Karsten Knese, Parth Chopra

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 05 Feb 2020 08:00:00 -0000
